import java.util.*;

public class Company implements Comparable<Company>
{
    private String name;
    private int ico;
    
    public Company(String name, int ico) {
        this.name = name;
        this.ico = ico;
    }
    
    public String toString() {
        return "Company " + name + " with ICO " + ico;
    }
    
    public String getName() {
        return name;
    }
    
    public int getICO() {
        return ico;
    }

    public boolean equals(Object obj) { // name is ignored
        return (obj instanceof Company) && ((Company)obj).ico == this.ico;
    }
    
    public int hashCode() {
        return ico;
    }
    
    public int compareTo(Company other) {
        //return this.ico - other.ico;
        return Integer.compare(this.ico, other.ico);
        //return this.name.compareTo(other.name);
    }
}









